import time, spidev

spi = spidev.SpiDev(0, 0)  # device 0, channel 0
spi.max_speed_hz = 1200000

def read_adc(adc_ch, vref = 3.3):
    msg = 0b11
    reply = spi.xfer2([(msg << 1) + adc_ch << 5, 0b0000000])
    adc = 0
    for n in reply:
        adc = (adc << 8) + n
    adc = adc >> 1
    voltage = (vref * adc) / 1024
    return voltage

print("MCP3002")
print("===============================\n")

while True:
    print("Ch 0:", round(read_adc(0), 2), "V \t Ch 1:", round(read_adc(1), 2), "V")
    time.sleep(0.2)